UPI
How to use UPI to submit a payin in India
Payin by UPI
POST https://gateway-test.pagsmile.com/trade/pay
This endpoint allows you to submit a payin by UPI in India.
Headers
Content-Type*
string
application/json; chartset=UTF-8
Authorization*
string
Basic Base($app_id:$security_key)
Request Body
app_id*
string
created app's id at dashboard
- Max. 32 chars -
method*
string
Fixed value: UPI
out_trade_no*
string
ID given by the merchant in their system - Max. 64 chars -
notify_url*
string
Where Pagsmile will send notification to
timestamp*
string
yyyy-MM-dd HH:mm:ss - Max. 19 chars -
order_amount*
string
payment amount 1 - 100,000.00
(Only Integer) -
order_currency*
string
Fixed value: INR
subject*
string
payment reason or item title
- Max. 128 chars -
content*
string
payment reason detail or item detail
- Max. 255 chars -
buyer_id*
string
merchant user's id
customer.name*
string
User's name
customer.email*
string
User's email
customer.phone*
string
User's phone
address.zip_code*
string
User's ZIP/postal code
-5 digits -
Example
Please use your own app_id and generate your own authorization token when testing.
Last updated
Was this helpful?